[Language]
SupportLanguage="US,JP,CZ,DE,DK,ES,FI,FR,GR,HU,IT,NL,NO,PL,PT,RU,SE,KR,TH,CN,TW,TR,AR,ID,ET,LV,LT,SL,UK,BG,RO,SK"
DefaultLanguage="US"
EULADIR="Res\EULA"

[Startup]
AppName="Canon IJ Scan Utility"
ProductName="SCANUTILITY.exe"
Version="1.1.0.6486"
EULA="1"
FolderSelect="0"
MinimumSize="50"
MaxPathLen="230"

[install folder]
FolderName="IJ Scan Utility"
FolderPath="0"

[desktop shortcut]
Shortcut="0"
DSCInfo="Canon IJ Scan Utility" "$InsFolder$\SCANUTILITY.exe" "$InsFolder$" "" "INST_NML" "" "INST_DEL"

[group shortcut]
GroupShortcut="1"
GSCFolderName="Canon Utilities"
GSCInfo="IJ Scan Utility" "$InsFolder$\SCANUTILITY.exe" "$InsFolder$" "" "INST_NML" "Canon Utilities\IJ Scan Utility" "INST_DEL"

[uninstall info]
DisplayName="Canon IJ Scan Utility"
UninstallName="Canon_IJ_Scan_Utility"
MakeISU="0"

[app path info]
AppPathsName="SCANUTILITY.exe" "$InsFolder$\SCANUTILITY.exe" "$InsFolder$"

[uninstall target - uninstall info]
CtrlExApp="0"
UNInfo="SCANUTILITY.exe" "Canon_IJ_Scan_Utility" "Canon IJ Scan Utility" "1156" "" "10000"

[OS]
WIN95="0"
WIN98="0"
WINME="0"
WINNT="0"
WIN2K="0"
WINXP="1"
WINNW="1"

[DOCICON]

[LanguageSelect]
REGI="HLM" "Software\Canon\IJ Scan Utility"

[Files]
FILE="DATA2.Cab\SUALMLIB.dll"    "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\IHE.dll"          "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\ISE.dll"          "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\MAPI.exe"         "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\pafcv2.dll"       "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\SCANUTILITY.exe"  "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="SetEvent\SETEVENT.exe"      "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\SU_ENU.dll"       "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\SU_ESP.dll"       "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\SU_JPN.dll"       "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\SU_ARA.dll"       "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\SU_CHT.dll"       "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\SU_CHS.dll"       "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\SU_CSY.dll"       "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\SU_DAN.dll"       "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\SU_DEU.dll"       "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\SU_ELL.dll"       "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\SU_FIN.dll"       "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\SU_FRA.dll"       "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\SU_HUN.dll"       "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\SU_IND.dll"       "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\SU_ITA.dll"       "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\SU_KOR.dll"       "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\SU_NLD.dll"       "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\SU_NOR.dll"       "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\SU_PLK.dll"       "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\SU_PTB.dll"       "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\SU_RUS.dll"       "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\SU_SVE.dll"       "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\SU_THA.dll"       "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\SU_TRK.dll"       "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\SU_ETI.dll"       "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\SU_LVI.dll"       "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\SU_LTH.dll"       "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\SU_SLV.dll"       "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\SU_UKR.dll"       "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\SU_BGR.dll"       "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\SU_ROM.dll"       "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\SU_SKY.dll"       "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\SU_IMG.dll"       "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\SUCMLIB.dll"      "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\CNUI001.TBL"      "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\CNUI002.TBL"      "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\CNUI003.TBL"      "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\UIC.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\CNCLID32.dll"     "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA3.cab\MENU_ENTRUST_SCAN_N.png"     "INST_AP1" "Quick Menu\AppInfo\Icon" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA3.cab\MENU_FAVORITE_SCAN_N.png"    "INST_AP1" "Quick Menu\AppInfo\Icon" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA3.cab\MENU_PHOTO_SCAN_N.png"       "INST_AP1" "Quick Menu\AppInfo\Icon" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA3.cab\MENU_SCAN_GEAR_N.png"        "INST_AP1" "Quick Menu\AppInfo\Icon" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA3.cab\MENU_SCAN_SETTINGS_N.png"    "INST_AP1" "Quick Menu\AppInfo\Icon" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA3.cab\MENU_SENTENCE_SCAN_N.png"    "INST_AP1" "Quick Menu\AppInfo\Icon" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA3.cab\SU__.xml"                    "INST_AP1" "Quick Menu\AppInfo\Xml"  "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"

REGI="HLM" "Software\Canon\IJ Scan Utility" "AppPath" "REG_SZ" "$InsFolder$\SCANUTILITY.exe" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
REGI="HLM" "Software\Canon\IJ Scan Utility" "Language" "REG_SZ" "$Language$" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"

[UNINSTALL ONLY]
UREGIK="HCU" "Software\Canon\IJ Scan Utility" "DELETE_UDHLD"
UREGIK="HCU" "Software\Canon" "DELETE_EMPTY"
UREGIK="HUS" "Software\Canon\IJ Scan Utility" "DELETE_UDHLD"
UREGIK="HUS" "Software\Canon" "DELETE_EMPTY"

[InstallBeforeCall]

[InstallAfterCall]

[InstallEndCall]
CallEntry="INST_MEDIA" "SetEvent\SETEVENT.exe" "OS(OS_INDEPENDENT)" "INST_SKP" "CALL_RETCHK" "EXE_WAITCALL" "-e=regist -d=$INST_DQ$$ProductName$$INST_DQ$ -l=$INST_DQ$$InsFolder$\SCANUTILITY.exe$INST_DQ$" "0"

[UninstallBeforeCall]
CallEntry="INST_APO" "SCANUTILITY.exe" "OS(OS_INDEPENDENT)" "INST_SKP" "CALL_RETCHK" "EXE_WAITCALL" "-i=$INST_DQ$uninstall$INST_DQ$" "1"
CallEntry="INST_APO" "SCANUTILITY.exe" "OS(OS_INDEPENDENT)" "INST_SKP" "CALL_RETCHK" "EXE_WAITCALL" "-i=$INST_DQ$update$INST_DQ$" "2"

[UninstallAfterCall]

[SMEX]
UpdateSMEX="1"
